maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tamás Cservenák <ta...@cservenak.net>
Subject Re: Updating the default versions for maven-compiler-plugin
Date Sat, 07 Nov 2015 09:22:30 GMT
How bout starting to fail if lang level is not explicitly set and _remove_
defaults?

Am sick of discussions in present about something to happen in future
future (when thing is released) to fit something EOLd in past :)

Ie. For the stuck people: Use current/older versions of tooling, if you are
stuck with old JVM: just accept you are stuck with tooling too then...

On Sat, Nov 7, 2015, 08:56 Hervé BOUTEMY <herve.boutemy@free.fr> wrote:

> since it's a good practice to define java version explicitely, to avoid any
> misunderstanding, I'm not sure changing default value is really something
> important: what's important it to know that it costs only 2 properties (and
> eventually merge them)
>
> notice that if we change default value, I want to see a table in the plugin
> documentation showing which version of the plugin has which default java
> version
>
> because the immense benefit I see currently is that it's always the same
>
> Regards,
>
> Hervé
>
> Le samedi 7 novembre 2015 08:28:51 Anders Hammar a écrit :
> > Just to clarify, it's Oracle's JDK 1.7 that is EOL. IBM still supports
> > their Java 6 and 7 level JDKs.
> >
> > Moving to a 1.7 default is still ok I think. However, if we think that
> most
> > people will still need to configure 1.8 (or 1.9 soon) I don't see the
> point
> > of doing this as it does introduce a level of incompatibility for those
> > still using Java 6 or earlier. The default could then stay at 1.5.
> >
> > /Anders
> >
> > On Fri, Nov 6, 2015 at 10:30 PM, Karl Heinz Marbaise <khmarbaise@gmx.de>
> >
> > wrote:
> > > Hi,
> > >
> > > -1 to 1.8
> > > +1 to 1.7
> > >
> > > so we already jump over 1.6 as default which is absolutely ok...
> > >
> > > Kind regards
> > > Karl Heinz Marbaise
> > >
> > > On 11/6/15 10:17 PM, Christopher wrote:
> > >> +1 to at least 1.7
> > >>
> > >> However, since 1.7 is EOL, I do think it also makes sense to default
> > >> to 1.8, since it's the earliest version still getting public security
> > >> updates, and therefore it's reasonable that most people should be
> > >> using that version if possible. It's a trivial matter to configure the
> > >> plugin for an earlier version if the software needs to be built to
> > >> support a system that's not updated. These systems can (and probably
> > >> already are) using older versions of this plugin anyway, so changing
> > >> the default in newer versions isn't likely to affect them.
> > >>
> > >> But, at the very least, 1.7 is a big +1, incremental improvement to
> the
> > >> default.
> > >>
> > >> --
> > >> Christopher L Tubbs II
> > >> http://gravatar.com/ctubbsii
> > >>
> > >>
> > >> On Fri, Nov 6, 2015 at 2:04 PM, Gary Gregory <garydgregory@gmail.com>
> > >>
> > >> wrote:
> > >>> +1 for 1.7.
> > >>>
> > >>> Gary
> > >>>
> > >>> On Fri, Nov 6, 2015 at 4:56 AM, Attila-Mihály Balázs <
> dify.ltd@gmail.com
> > >>>
> > >>> wrote:
> > >>>
> > >>> Hello,
> > >>>
> > >>>> Given that we're almost in 2015, what do people think about updating
> > >>>> the
> > >>>> default source / target for maven-compiler-plugin to 1.8? (And
also
> on
> > >>>> the
> > >>>> site:
> > >>>>
> > >>>>
> https://maven.apache.org/plugins/maven-compiler-plugin/examples/set-com
> > >>>> piler-source-and-target.html ).
> > >>>>
> > >>>> If there is interest, I'm happy to submit a patch!
> > >>>>
> > >>>> Cheers,
> > >>>> Attila Balazs (Grey Panther)
> > >>>>
> > >>>>
> ---------------------------------------------------------------------
> > >>>> To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> > >>>> For additional commands, e-mail: dev-help@maven.apache.org
> > >>>
> > >>> --
> > >
> > > ---------------------------------------------------------------------
> > > To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> > > For additional commands, e-mail: dev-help@maven.apache.org
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> For additional commands, e-mail: dev-help@maven.apache.org
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message